WordPress.org

Ready to get started?Download WordPress

Forums

Duplicator
[resolved] Fatal error during site install (7 posts)

  1. web559
    Member
    Posted 3 years ago #

    I get this when I try to run install.php:

    Fatal error: Class 'ZipArchive' not found in /home/epi/dev.epi-data.org/install.php on line 477

    If it's relevant, I'm on Dreamhost and am able to run zip and unzip commands just fine over SSH.

  2. web559
    Member
    Posted 3 years ago #

    Apparently ZipArchive is not installed on PHP at Dreamhost. Is there any way to get this working without ZipArchive?

    On Fri, 10 Jun 2011, you wrote:
    I'm getting this error when running a site installer on : Fatal error: Class
    'ZipArchive' not found

    I've never had trouble with zipping/unzipping over ssh. Is there something
    else that I need to do to get ZipArchive to work?
    =====
    Sorry, by default, we dont have that installed into our PHP.

    In fact, if you are ever curious what flags are set or not set, you can
    always visit http://php.dreamhosters.com/ and it`ll let you know what our
    default settings are.

    But you are NOT out of luck. If you are pretty savvy, you can compile
    your own PHP installation with that module included.

    The trouble with this is, once you do it, it is beyond the scope of our
    technical support, as quite a bit can go wrong.

    Here is a nice article on how to compile your own php installation:
    http://wiki.dreamhost.com/Installing_PHP5

  3. web559
    Member
    Posted 3 years ago #

    This is the relevant code. How can I make it so the installer uses my already unzipped directory instead of invoking ZipArchive to extract it?

    [Code moderated as per the Forum Rules. Please use the pastebin]

  4. Cory Lamle
    Member
    Plugin Author

    Posted 3 years ago #

    The duplicator is currently written with ZipArchive. So it requires the class in order for it to work.

    I'm surprised your host doesn't have this enabled by default, its pretty common on most hosting providers.

    Sorry, maybe in future releases I'll try to support some other mechanism such as shelling out a using the commandline.

  5. boogah
    Member
    Posted 2 years ago #

    I know this post is resolved, but I work over at DreamHost and I think I have a workaround...

    We recently included ZipArchive support in PHP 5.3 - so upgrading your domain to that should help make Duplicator work as expected. Go ahead and give it a try and let me know if you need any further help!

  6. Jason Paul
    Member
    Posted 2 years ago #

    Hey boogah,
    I've tried to do what you said. Not sure if it just takes a lot longer than 5-10 mins for the upgrade to actually go through. But Duplicator still only sees the old PHP version and no ZipArchive.

  7. molcodr
    Member
    Posted 2 years ago #

    Had the same issue on same hosting, changed as you said to PHP 5.3, and whoopp -there is everything running like Omega!

    You are awesome!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags